require 'thor'
require 'sec_config/generators/konf'

class SecConfig::CLI < Thor
  include Thor::Actions

  desc "install", "prepare structure and files for your app config"
  method_option :path, default: File.join(Dir.pwd, "/config")
  method_option :environments, default: [:development, :staging, :beta, :production], type: :array

  def install
    SecConfig::Generators::Konf.start([options[:path], options[:environments]])
  end

end
