module SecConfig::Generators
  class Konf < Thor::Group
    include Thor::Actions

    argument :path, type: :string
    argument :environments, type: :array
    class_option :include_preinitializer, type: :boolean

    def create_konf_files
      template("config.yml.erb", File.join(path, "config.yml"))
      template("sec_config.yml.sample.erb", File.join(path, "sec_config.sample.yml"))
    end

    def create_preinitializer
      template("preinitializer.rb", File.join(path, "preinitializer.rb"))
    end

    def add_to_gitignore
      append_file ".gitignore", "config/sec_config.yml"
    end

    def self.source_root
      File.expand_path("../templates", __FILE__)
    end
  end
end
